Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMElement

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMElement

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf

public class QMElement
extends QGBase
implements QGBaseIntf

Field Summary
`boolean` | `abst` default = "false"
`ArrayList` | `attributes` list of QMAttribute
`ArrayList` | `comments` list of QMRem
`ArrayList` | `connectors` list of QMConnector
`String` | `content` values = "PCDATA|CDATA|BIMODAL|EMPTY|int|short|long|byte|boolean|float|double|string|base64|url|char|BigDecimal"
`ArrayList` | `ext` list of QMExtends
`boolean` | `generate` default = "false"
`ArrayList` | `imp` list of QMImplements
`boolean` | `intf` default = "false"
`ArrayList` | `items`
`String` | `label`
`String` | `name`
`QGBase` | `target`
`boolean` | `wild` default = "false"

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMElement()`
`QMElement(String name)` minimum constructor
`QMElement(String name, String label, boolean generate, boolean abst, boolean intf, boolean wild, String content, ArrayList comments, ArrayList ext, ArrayList imp, QGBase target, ArrayList connectors, ArrayList attributes, ArrayList items)` full constructor

Method Summary
`void` | `cvt()`
`void` | `cvtAttributes()`
`void` | `cvtElements()`
`String` | `getLabel()`
`QMAttribute` | `getQMAttribute(int i)`
`QMConnector` | `getQMConnector(int i)`
`QMExtends` | `getQMExtends(int i)`
`QMImplements` | `getQMImplements(int i)`
`QMRem` | `getQMRem(int i)`
`void` | `print(PrintWriter pw, String indent)` print a summary of this object
`int` | `qMAttributeCount()`
`int` | `qMConnectorCount()`
`int` | `qMExtendsCount()`
`int` | `qMImplementsCount()`
`int` | `qMRemCount()`
`void` | `setDestination(DocumentHandler destination)` Set the destination for the generated SAX events.
`void` | `setQMAttribute(int i, QMAttribute qMAttribute)`
`void` | `setQMConnector(int i, QMConnector qMConnector)`
`void` | `setQMExtends(int i, QMExtends qMExtends)`
`void` | `setQMImplements(int i, QMImplements qMImplements)`
`void` | `setQMRem(int i, QMRem qMRem)`

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### name

    public String name

### label

    public String label

### generate

    public boolean generate

  default = "false"

### abst

    public boolean abst

  default = "false"

### intf

    public boolean intf

  default = "false"

### wild

    public boolean wild

  default = "false"

### content

    public String content

  values = "PCDATA|CDATA|BIMODAL|EMPTY|int|short|long|byte|boolean|float|double|string|base64|url|char|BigDecimal"

### comments

    public ArrayList comments

  list of QMRem

### ext

    public ArrayList ext

  list of QMExtends

### imp

    public ArrayList imp

  list of QMImplements

### target

    public QGBase target

### connectors

    public ArrayList connectors

  list of QMConnector

### attributes

    public ArrayList attributes

  list of QMAttribute

### items

    public ArrayList items

Constructor Detail

### QMElement

    public QMElement()

### QMElement

    public QMElement(String name,
                     String label,
                     boolean generate,
                     boolean abst,
                     boolean intf,
                     boolean wild,
                     String content,
                     ArrayList comments,
                     ArrayList ext,
                     ArrayList imp,
                     QGBase target,
                     ArrayList connectors,
                     ArrayList attributes,
                     ArrayList items)

  full constructor

### QMElement

    public QMElement(String name)

  minimum constructor

Method Detail

### setDestination

    public void setDestination(DocumentHandler destination)

  Description copied from class: `QConverterSupport`
  Set the destination for the generated SAX events. Called by eval for the root node, but must be called by application logic for all other nodes before generating any events.
  Overrides:
    `setDestination` in class `QConverterSupport`
  Following copied from class: `com.jxml.quick.QConverterSupport`
  Parameters:
    `destination` - Destination for all generated SAX events.

### getLabel

    public String getLabel()

### cvt

    public void cvt()
             throws SAXException

  Overrides:
    `cvt` in class `QGBase`

### cvtAttributes

    public void cvtAttributes()
                       throws SAXException

### cvtElements

    public void cvtElements()
                     throws SAXException

### getQMRem

    public QMRem getQMRem(int i)

### setQMRem

    public void setQMRem(int i,
                         QMRem qMRem)

### qMRemCount

    public int qMRemCount()

### getQMExtends

    public QMExtends getQMExtends(int i)

### setQMExtends

    public void setQMExtends(int i,
                             QMExtends qMExtends)

### qMExtendsCount

    public int qMExtendsCount()

### getQMImplements

    public QMImplements getQMImplements(int i)

### setQMImplements

    public void setQMImplements(int i,
                                QMImplements qMImplements)

### qMImplementsCount

    public int qMImplementsCount()

### getQMConnector

    public QMConnector getQMConnector(int i)

### setQMConnector

    public void setQMConnector(int i,
                               QMConnector qMConnector)

### qMConnectorCount

    public int qMConnectorCount()

### getQMAttribute

    public QMAttribute getQMAttribute(int i)

### setQMAttribute

    public void setQMAttribute(int i,
                               QMAttribute qMAttribute)

### qMAttributeCount

    public int qMAttributeCount()

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD